Bug 379281 - Evolution Address Book Crashes when you do a search
Evolution Address Book Crashes when you do a search
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 21:06 EST by Joshua Rosen
Modified: 2007-12-03 07:14 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-data-server-1.12.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 07:14:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution backtrace (13.28 KB, text/plain)
2007-11-18 08:29 EST, Ronald Warsow
no flags Details
output of valgrind (243.04 KB, text/plain)
2007-11-24 17:22 EST, Ronald Warsow
no flags Details
console output (12.59 KB, text/plain)
2007-11-29 16:17 EST, Ronald Warsow
no flags Details

  None (edit)
Description Joshua Rosen 2007-11-12 21:06:52 EST
Description of problem:
Select 
The Search Any Field function crashes the Address Book.

This is a disaster because not only does the version of Evolution in F8 not
work, it modified the database so that the version of Evolution in F7 can't read it.

Version-Release number of selected component (if applicable):


How reproducible:100%


Steps to Reproduce:
1.Select Search Any Field
2.Put in a string and start the search
3.
  
Actual results:
Crashes every time.

Expected results:


Additional info:
The Evolution addressbook has quit unexpectedly.

Your contacts for file:///home/bjrosen/.evolution/addressbook/local/system will
not be available until Evolution is restarted.
Comment 1 Milan Crha 2007-11-14 04:58:56 EST
Thanks for your report, unfortunately I cannot reproduce this. Can you, please,
install debug info packages for evolution and evolution-data-server and attach
here a stack trace with debug symbols? Thanks in advance.
Comment 2 Joshua Rosen 2007-11-14 12:40:40 EST
I'll do it in a couple of weeks. I'm at the SuperComputer Conference this week
and I'm going to be traveling next week. When I get back I'll install the debug
packages.
Comment 3 Ronald Warsow 2007-11-18 08:27:01 EST
I also see this, addional when I choose (in adress book) show by category.

add. info: box is without any i386 packages

backtrace attached 
hope it helps, cause I wasn't sure how to circumvent the lines "warning: Missing
the separate debug info file...".
evolution-debuginfo, evolution-data-server-debuginfo and a lot more debuginfo
packages were installed, but obviously not all.



Comment 4 Ronald Warsow 2007-11-18 08:29:22 EST
Created attachment 262881 [details]
evolution backtrace
Comment 5 Milan Crha 2007-11-19 04:36:07 EST
The attached trace is not much useful, unfortunately, it doesn't show Thread 3
and 4 for example, which is very weird (I'm not sure how this can happen). Can
you try one more time, please?
Do not bother about "missing separate debug info file", it's ok, if you've
evolution and evolution-data-server debug info packages. You can install also
gtkhtml3 debug package, but it is not related to our problem, I guess.
Comment 6 Ronald Warsow 2007-11-24 14:40:48 EST
sorry for late answer, I wasn't cc'ed.

so I tried it again, but the threads 3 and 4 are still missing.
I did it as described here:
http://live.gnome.org/GettingTraces/Details
with thread apply all bt

with only evo-, evo-data-server-, and gtkhtml3- debuginfo installed.

any hints ?
Comment 7 Ronald Warsow 2007-11-24 17:22:36 EST
Created attachment 268141 [details]
output of valgrind

 valgrind --leak-check=full --show-reachable=yes evolution >& evo-valgrind.log
Comment 8 Ronald Warsow 2007-11-24 17:34:26 EST
I poked around on the avove page and find valgrind.

maybe line 1358 or/and the lines marked with
"...definitely lost in loss record ..."

gives an answer/hint for that problem. 

http://valgrind.org/docs/manual/quick-start.html#quick-start.interpret
end of Chapter 4. Interpreting Memcheck's output

Comment 9 Milan Crha 2007-11-29 15:28:08 EST
I'm afraid it just means that the data was not freed yet, but only because of
the crash, in our particular case. The lines mentioned in valgrind output are in
allocating a filter to be used.

Does this happen on any address book for you, or only on this particular? You
can add new address book by File->New->Contact List.

What do you have in "Show" combo, is there "Any Category", or something else?
Does it help to change it?

The last thing, please try close evolution, run also "evolution
--force-shutdown" and run evolution-data-server on its own console (
/usr/libexec/evolution-data-server-1.12 ), and then run evolution on the other
console. It will write some debug info on both consoles, there will be probably
something useful. If you can attach here such output from both of them, it will
be great. Thanks in advance. (Please make sure, before you attach it here, it
doesn't contain any confidential data, like passwords, it is sometimes possible
that debug output contains such things.)
Comment 10 Ronald Warsow 2007-11-29 16:08:59 EST
(In reply to comment #9)
> I'm afraid it just means that the data was not freed yet, but only because of
> the crash, in our particular case. The lines mentioned in valgrind output are in
> allocating a filter to be used.
> 
> Does this happen on any address book for you, or only on this particular? You
> can add new address book by File->New->Contact List.

yep, in any. I created a new one and copied only one contact into it.
the contact has category "doc". 
- shutdown evolution
- start and search via category "doc"
- okay !

- shudown
- start and search via gategory "Phone Calls"
- crash !


> 
> What do you have in "Show" combo, is there "Any Category", or something else?

Any Category ! (the default I guess)

> Does it help to change it?

This exact produces the crasher, just when I release the mouse button !

> 
> The last thing, please try close evolution, run also "evolution
> --force-shutdown" and run evolution-data-server on its own console (
> /usr/libexec/evolution-data-server-1.12 ), and then run evolution on the other
> console. It will write some debug info on both consoles, there will be probably
> something useful. If you can attach here such output from both of them, it will
> be great. Thanks in advance. (Please make sure, before you attach it here, it
> doesn't contain any confidential data, like passwords, it is sometimes possible
> that debug output contains such things.)

attached 
Comment 11 Ronald Warsow 2007-11-29 16:17:36 EST
Created attachment 273371 [details]
console output

console output from evo-data-server and evo, after clean shutdown
Comment 12 Milan Crha 2007-11-30 05:32:25 EST
I see some changes about double free in a file where it happened to you. The fix
is included in evolution-data-server-1.12.2-1.fc8, which is now in
updates-testing. Can you try with this version, please?
Comment 13 Ronald Warsow 2007-11-30 14:40:50 EST
it is fixed with the new e-d-s from update-testing !

thanks !
esp. 4 quick response/support !!!

Note You need to log in before you can comment on or make changes to this bug.